Usa l’API CometAPI Veo3 Retrieve (GET /v1/videos/) per recuperare lo stato, interrogare i metadati o scaricare i risultati della generazione video Veo3 tramite video_id.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"size": "16x9",
"model": "veo_3_1-4K",
"object": "video",
"status": "queued",
"task_id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"progress": 0,
"created_at": 1773297229
}/v1/videos. Restituisce lo stato corrente dell’attività e le informazioni del modello backend risolto che CometAPI sta usando per il job.
Crea prima il job
id restituito.Esegui il polling finché l'attività non è terminale
queued o in_progress e raggiunge uno stato finale./v1/videos e può mostrare l’id del modello backend risolto invece dell’alias che hai inviato.Bearer token authentication. Use your CometAPI key.
Task id returned by the create endpoint.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"size": "16x9",
"model": "veo_3_1-4K",
"object": "video",
"status": "queued",
"task_id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"progress": 0,
"created_at": 1773297229
}